import { DeviceType } from '@ucap-webmessenger/core';
import {
  APIRequest,
  APIResponse,
  APIEncoder,
  APIDecoder,
  ParameterUtil
} from '@ucap-webmessenger/api';

export interface MassTalkSaveRequest extends APIRequest {
  userSeq: string;
  deviceType: DeviceType;
  token: string;
  content?: string;
  roomId?: string;
}

export interface MassTalkSaveResponse extends APIResponse {
  EventMassSEQ?: string;
  RoomID?: string;
  RegDate?: string;
  Content?: string;
}

const massTalkSaveEncodeMap = {};

export const encodeMassTalkSave: APIEncoder<MassTalkSaveRequest> = (
  req: MassTalkSaveRequest
) => {
  return ParameterUtil.encode(massTalkSaveEncodeMap, req);
};

export const decodeMassTalkSave: APIDecoder<MassTalkSaveResponse> = (
  res: any
) => {
  return {} as MassTalkSaveResponse;
};
